Create an API key
curl --request POST \
--url https://platform.spritz.finance/v1/api-keys/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"permissions": [],
"expiresAt": "2023-11-07T05:31:56Z",
"name": "<string>"
}
'import requests
url = "https://platform.spritz.finance/v1/api-keys/"
payload = {
"permissions": [],
"expiresAt": "2023-11-07T05:31:56Z",
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({permissions: [], expiresAt: '2023-11-07T05:31:56Z', name: '<string>'})
};
fetch('https://platform.spritz.finance/v1/api-keys/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"keyPrefix": "<string>",
"rawKey": "<string>",
"permissions": [
"<string>"
],
"name": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"warning": "<string>"
}{
"title": "Unauthorized",
"status": 401,
"type": "urn:problem-type:auth:unauthorized",
"detail": "Bearer token required",
"instance": "<string>",
"realm": "API",
"scope": "read:users"
}{
"title": "Unauthorized",
"status": 400,
"type": "urn:problem-type:auth:unauthorized",
"detail": "<string>",
"instance": "/errors/1234567890",
"code": "transaction_limit",
"field": "amountUsd",
"retryable": true
}API Keys
Create an API key
Creates a new API key for the authenticated user. The raw key is returned once and cannot be retrieved again.
POST
/
v1
/
api-keys
/
Create an API key
Authorizations
Cognito JWT token for regular user authentication
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Minimum array length:
1Available options:
bank-accounts:read, bank-accounts:write, bank-accounts:delete, bills:read, bills:delete, off-ramp-quotes:read, off-ramp-quotes:write, off-ramps:refund ISO 8601 expiration timestamp
Required string length:
1 - 255Response
Response for status 200
⌘I